# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.system_property import SystemProperty  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestSystemProperty(unittest.TestCase):
    """SystemProperty unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test SystemProperty
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.system_property.SystemProperty()  # noqa: E501
        if include_optional :
            return SystemProperty(
                links = None, 
                checksums = [
                    '0'
                    ], 
                default_checksum = '0', 
                default_license = '0', 
                file_size_limit = '0', 
                forbidden_characters = [
                    '0'
                    ], 
                golden_formats = [
                    '0'
                    ], 
                search_facets = [
                    '0'
                    ]
            )
        else :
            return SystemProperty(
        )

    def testSystemProperty(self):
        """Test SystemProperty"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
